Package org.apache.commons.compress.archivers.zip

# Enum ZipArchiveEntry.CommentSource

java.lang.Object
java.lang.Enum<ZipArchiveEntry.CommentSource>
org.apache.commons.compress.archivers.zip.ZipArchiveEntry.CommentSource

All Implemented Interfaces:
  `Serializable`, `Comparable<ZipArchiveEntry.CommentSource>`

Enclosing class:
  `ZipArchiveEntry`

public static enum ZipArchiveEntry.CommentSource extends Enum<ZipArchiveEntry.CommentSource>
Enumerates how the comment of this entry has been determined.

Since:
  1.16

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMENT`
  The comment has been read from the archive using the encoding of the archive specified when creating the `ZipArchiveInputStream` or `ZipFile` (defaults to the platform's default encoding).
  `UNICODE_EXTRA_FIELD`
  The comment has been read from an `Unicode Extra Field`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ZipArchiveEntry.CommentSource`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ZipArchiveEntry.CommentSource[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMENT

    public static final ZipArchiveEntry.CommentSource COMMENT
    The comment has been read from the archive using the encoding of the archive specified when creating the `ZipArchiveInputStream` or `ZipFile` (defaults to the platform's default encoding).

  - ### UNICODE_EXTRA_FIELD

    public static final ZipArchiveEntry.CommentSource UNICODE_EXTRA_FIELD
    The comment has been read from an `Unicode Extra Field`.

- ## Method Details

  - ### values

    public static ZipArchiveEntry.CommentSource[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ZipArchiveEntry.CommentSource valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null